Find a non-deleted card by exact URL
GET
/v1/cards/duplicateAuthorization
AuthorizationBearer token (OAuth access token or teakapi_ API key) · headerrequiredBearer token. Accepts either an OAuth 2.0 access token (obtained via browser sign-in; expires after 1 hour and is refreshable) or a teakapi_ API key.
Query parameters
urlstring<uri>requiredmax length 8192
Responses
200Matching card ID, or null
cardIdstring | nullrequired400Invalid URL
401Invalid or revoked credentials
429Rate limit exceeded
Try it
Server
Authorization
Parameters
Request
curl -X GET "https://teakvault.com/api/v1/cards/duplicate?url=http%3A%2F%2Fexample.com" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://teakvault.com/api/v1/cards/duplicate?url=http%3A%2F%2Fexample.com", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://teakvault.com/api/v1/cards/duplicate?url=http%3A%2F%2Fexample.com",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"cardId": "string"
}Invalid URL
Invalid or revoked credentials
Rate limit exceeded